#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const int MAXN = 500500;
bool a[MAXN];

int main()
{
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int t;
    cin >> t;
    for(int h = 0; h<t; h++)
    {
        ll ans = 0;
        ll n, pr;
        cin >> n >> pr;

        for(int i = 0; i<n; i++)
            cin >> a[i];

        for(int l = 0; l<n; l++){
            ll good = 0;
            for(int r = l; r<n; r++)
        {
            good+=a[r];
            if((pr*(r-l+1))<=(good*100))
                ans++;
        }
        }
        cout << ans << ' ';
    }

}
